package com.gxzc.zen.api.bus.model

import com.baomidou.mybatisplus.annotations.TableName
import java.util.Date
import com.baomidou.mybatisplus.annotations.TableField
import com.gxzc.zen.common.base.BaseModel

/**
 * <p>
 * 文书档案案卷
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-05
 */
@TableName("mgr_archives_file")
data class MgrArchivesFile(
        /**
         * 归档人
         */
        var filingBy: String? = null,
        /**
         * 归档日期
         */
        var filingTime: Date? = null,
        /**
         * 案卷级档号
         */
        var archivalCode: String? = null,
        /**
         * 全宗号
         */
        var fondsNo: String? = null,
        var fondsName: String? = null,
        /**
         * 目录号
         */
        var catalogueCode: Int? = null,
        /**
         * 案卷号
         */
        var fileCode: Int? = null,
        /**
         * 年度
         */
        var year: String? = null,
        /**
         * 保管期限
         */
        var retentionPeriod: Int? = null,
        /**
         * 保管期限代码
         */
        var retentionPeriodCode: String? = null,
        /**
         * 案卷题名
         */
        var fileTitle: String? = null,
        /**
         * 起时间
         */
        var startTime: Date? = null,
        /**
         * 止时间
         */
        var endTime: Date? = null,
        /**
         * 责任者
         */
        var responsiblePerson: String? = null,
        /**
         * 成文时间
         */
        var writtenTime: Date? = null,
        /**
         * 页数
         */
        var pagesCount: Int? = null,
        /**
         * 文件件数
         */
        var documentCount: Int? = null,
        /**
         * 人物
         */
        var personage: String? = null,
        /**
         * 盒号
         */
        var boxCode: String? = null,
        /**
         * 保密期限
         */
        var secrecyPeriod: Int? = null,
        /**
         * 密级（0无密；1秘密；2机密；3绝密；）
         */
        var securityClassification: String? = null,
        /**
         * 档案馆名称
         */
        var archivesName: String? = null,
        /**
         * 主题词
         */
        var descriptor: String? = null,
        /**
         * 档案馆代码
         */
        var archivesCode: String? = null,
        /**
         * 附件题名
         */
        var attachmentTitle: String? = null,
        /**
         * RFID
         */
        @TableField("RFID")
        var rfid: String? = null,
        /**
         * 归档状态（0：未归档，1归档）
         */
        var filingStatus: Int? = null
) : BaseModel() {
}
